Page MenuHomePhabricator

Please add bio.acousti.ca to $wgCopyUploadsDomains
Closed, ResolvedPublic

Description

On behalf of the Natural History Museum and Wikimedia UK I intend to upload audio samples from http://bio.acousti.ca/ to wikicommons. Example content; http://bio.acousti.ca/content/rgs-mulu-camp-ii-ansonia-longidigita-short.

Event Timeline

Stan3 created this task.Apr 8 2016, 11:30 AM
Restricted Application added subscribers: JEumerus, Bawolff, Steinsplitter and 2 others. · View Herald TranscriptApr 8 2016, 11:30 AM
Dereckson triaged this task as Normal priority.Apr 8 2016, 12:32 PM
Dereckson added a subscriber: Dereckson.

Thank you for these records.

Planification

When do you plan to do the upload? If there is no particular emergency, we can add it to the whitelist during our next regular deployment window, Monday 17:00 CEST.

Audio format

Files are currently in wave format.

For example on the link you provide, the audio sample URL is http://bio.acousti.ca/sites/bio.acousti.ca/files/19%20-%20Ansonia%20longidigita%20-%20Mulu%202%20%28short%29.wav.

$ file sample.wav
RIFF (little-endian) data, WAVE audio, Microsoft PCM, 16 bit, mono 44100 Hz

According this Commons recommandation, "Wave containers usually contain uncompressed, lossless audio (PCM). If possible, please convert to FLAC before uploading."

Would such conversion be possible on your side or do you require assistance for this process?

Stan3 added a comment.Apr 8 2016, 5:45 PM

No fixed date for upload planned yet.

FLAC sounds like a good idea though, will investigate further.

Restricted Application added a subscriber: Poyekhali. · View Herald TranscriptApr 13 2016, 10:43 PM

Change 283414 had a related patch set uploaded (by Dereckson):
Add bio.acousti.ca to $wgCopyUploadsDomains

https://gerrit.wikimedia.org/r/283414

Change 283414 merged by jenkins-bot:
Add bio.acousti.ca to $wgCopyUploadsDomains

https://gerrit.wikimedia.org/r/283414

Mentioned in SAL [2016-04-14T15:29:50Z] <dereckson@tin> Synchronized wmf-config/InitialiseSettings.php: Add bio.acousti.ca to wgCopyUploadsDomains (T132140) (duration: 00m 27s)

Dereckson closed this task as Resolved.Apr 14 2016, 4:45 PM